All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.security
Class CredentialLoginServiceException

    com.sas.services.security.CredentialLoginServiceException

All Implemented Interfaces:
  com.sas.util.ChainedExceptionInterface, java.io.Serializable

    public class CredentialLoginServiceException

implements java.io.Serializable

This exception gets thrown when a user attempts to authenticate, but the authentication fails due to a bad user ID or password.

Since:
  1.1
See Also:
  Serialized Form

Constructor Summary
`CredentialLoginServiceException()` Constructs a default exception to detail a login failure caused by an invalid credential.
`CredentialLoginServiceException(java.lang.String message)` Constructs an exception to detail a login failure caused by an invalid credential using the specified message.
`CredentialLoginServiceException(java.lang.Throwable throwable, java.lang.String message)` Constructs an exception to detail a login failure caused by an invalid credential using the specified message and throwable.

Constructor Detail

### CredentialLoginServiceException

    public CredentialLoginServiceException()

  Constructs a default exception to detail a login failure caused by an invalid credential.

### CredentialLoginServiceException

    public CredentialLoginServiceException(java.lang.String message)

  Constructs an exception to detail a login failure caused by an invalid credential using the specified message.

  Parameters:
    `message` - Message detailing the invalid credential login failure.

### CredentialLoginServiceException

    public CredentialLoginServiceException(java.lang.Throwable throwable,
                                           java.lang.String message)

  Constructs an exception to detail a login failure caused by an invalid credential using the specified message and throwable.

  Parameters:
    `throwable` - Throwable which caused the connection to be refused.
    `message` - Message detailing the invalid credential login failure.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.